Subject: RE: FW: Can you offer enscript.cfg file for cygwin?
From: "Ma, Xiangjiang" <[email-masked]>
To: "[email-masked]'" <[email-masked]>
Cc: [email-masked], "'Gerrit P. Haase'" <[email-masked]>
Date: Sat, 20 Apr 2002 15:32:35 -0700

Charles,

I found your message on cygwin ( http://cygwin.com/ml/cygwin/ )
but could not reply there.  I followed your advisor and made my
enscript worked!!!

I added one line on my cshrc.csh
setenv PRINTER  \\\\RW-PRT-02\\HP5SI-2
and use the default /etc/enscript.cfg

The only trouble I have is that for every job I printed,
I received an extra page with such contents:

PostScript Error Handler
Offending Command =
Error = nametype :undefined
Stack =

Any idea?
How to escape such error message?

> > I have also problems with printing through lpr.  Unfortunately I
> > couldn't figure out how to set it up correct yet.
> > There are some threads in the archives about printing without lpr,
> > maybe there are some hints?
> See my message posted a few minutes ago.
> Currently, lpr.exe from the cygutils package is not documented (at all), 
> and it expects printer shares to be specified using backslash notation:
> \\computer\share
> of course, since those are backslashes, they have to be escaped:
> \\\\computer\\share

--
Xiangjiang Ma
BroadVision, Inc
(650)542-4665

> -----Original Message-----
> From: Gerrit P. Haase [mailto:[email-masked]]
> Sent: Wednesday, April 17, 2002 9:44 PM
> To: Ma, Xiangjiang
> Cc: [email-masked]
> Subject: Re: FW: Can you offer enscript.cfg file for cygwin?
> 
> 
> Hallo Xiangjiang,
> 
> > It is better, though I still could not make it print out
> >  anything
> 
> Enscript uses 'lpr' from the cygutils package for printing
> to PRN.
> 
> Printing under Cygwin was discussed a lot of times on this
> list and there is a really good reason why 'lpr' is in the
> cygutils package included.
> 
> Please search the archives, I'm sorry that I cannot tell you
> some more right now, I will have to search the archives too
> before I know why you cannot print;)
> 
> 
> Gerrit
> -- 
> =^..^=
> Please keep communication about Cygwin and Cygwin Aplications
> on the Cygwin mailinglist.
> 

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/